# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'influxdb/async_queue/version'

Gem::Specification.new do |spec|
  spec.name          = "influxdb-async_queue"
  spec.version       = InfluxDB::AsyncQueue::VERSION
  spec.authors       = ["mugimaru"]
  spec.email         = ["pochi.73@gmail.com"]

  spec.summary       = %q{Asynchronously write influxdb metrics with redis}
  spec.description   = %q{influxdb-async_queue is an attempt to optimize influxdb interactions by aggregating metrics into batches through redis queue.}
  spec.homepage      = "https://github.com/mugimaru/influxdb-async_queue"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'activesupport'
  spec.add_runtime_dependency 'influxdb'

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "redis"
end
